> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/update-dsgatewayfarm.md).

# Update-DSGatewayFarm

### Sinossi

Aggiornare una farm di gateway

### Sintassi

#### \_\_AllParameterSets

```
Update-DSGatewayFarm [-GatewayFarmID] <guid> [[-Name] <string>] [[-MemberGateways] <Gateway[]>]
 [[-Description] <string>] [[-VaultRoleOverride] <GatewayVaultRoleOverride>]
 [[-CustomVaultAccess] <guid[]>] [-IsDefault <bool>] [<CommonParameters>]
```

### Descrizione

Aggiorna le proprietà e l'appartenenza di una farm di gateway. È richiesto il modulo Devolutions Gateway. Anche i gateway utilizzati come membri verranno aggiornati all'esecuzione di questo cmdlet. Il campo "Members" di una farm di gateway è un valore calcolato; impostarlo manualmente su un nuovo valore non modifica nulla di per sé. Per modificare i membri di una farm di gateway, utilizzi questo cmdlet.

### Esempi

#### Esempio 1

```powershell
PS C:\> $farm = Get-DSGateway -GatewayID $farmId
PS C:\> $newGateway = Get-DSGateway -GatewayID $newGatewayId
PS C:\> $updatedMembers = $farm.Members + $newGateway
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $updatedMembers
```

Aggiunge un nuovo gateway a una farm esistente aggiungendolo all'array dei membri.

#### Esempio 2

```powershell
PS C:\> $farm = Get-DSGateway -GatewayID $farmId
PS C:\> $updatedMembers = $farm.Members | Where-Object { $_.Id -ne $gatewayToRemoveId }
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $updatedMembers
```

Rimuove un gateway da una farm filtrandolo dall'array dei membri.

#### Esempio 3

```powershell
PS C:\> $gateway1 = Get-DSGateway -GatewayID $gateway1Id
PS C:\> $gateway2 = Get-DSGateway -GatewayID $gateway2Id
PS C:\> $gateway3 = Get-DSGateway -GatewayID $gateway3Id
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $gateway1, $gateway2, $gateway3 -Name "Updated Farm" -Description "Reconfigured farm" -IsDefault $true
```

Sostituisce tutti i membri della farm con un nuovo insieme e aggiorna il nome e la descrizione della farm.

#### Esempio 4

```powershell
PS C:\> $vaultIds = @($vault1Id, $vault2Id, $vault3Id)
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -VaultRoleOverride Custom -CustomVaultAccess $vaultIds
```

Aggiorna una farm di gateway per concedere l'accesso solo a casseforti specifiche.

### Parametri

#### -CustomVaultAccess

Elenco dei ruoli di accesso alle casseforti.

```yaml
Type: System.Guid[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 5
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Description

Descrizione della farm di gateway.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayFarmID

ID della farm di gateway da aggiornare.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Imposta come gateway predefinito.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -MemberGateways

Array di gateway da includere come membri della farm (i membri precedenti verranno sostituiti).

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nome della farm di gateway.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultRoleOverride

A quali casseforti la farm di gateway concede l'accesso (se personalizzato, lo specifichi con CustomVaultAccess).

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewayVaultRoleOverride
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, consulti [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Update-DSGatewayFarm -detailed". Per informazioni tecniche, digiti "Get-Help Update-DSGatewayFarm -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/update-dsgatewayfarm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
